Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.modules.reachability
Class ReachabilityGraphGenerator

    java.lang.Object
      pipe.modules.reachability.ReachabilityGraphGenerator

All Implemented Interfaces:
  Module

    public class ReachabilityGraphGenerator

extends java.lang.Object
implements Module

Constructor Summary
`ReachabilityGraphGenerator()`

Method Summary
`static java.io.InputStream` | `generateDotFile(java.io.File rgfile)` displayResults() Takes the reachability graph file and the steady state distribution and produces nicely formatted output showing these results plus more results based on them.
`void` | `generateReachabilityGraph(java.io.File rgfile)`
`java.lang.String` | `getName()`
`void` | `run(DataLayer pnmlData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReachabilityGraphGenerator

    public ReachabilityGraphGenerator()

Method Detail

### run

    public void run(DataLayer pnmlData)

  Specified by:
    `run` in interface `Module`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Module`

### generateDotFile

    public static java.io.InputStream generateDotFile(java.io.File rgfile)
                                               throws java.io.IOException

  displayResults() Takes the reachability graph file and the steady state distribution and produces nicely formatted output showing these results plus more results based on them.

  Parameters:
    `sourceDataLayer` - The GSPN model data
    `rgfile` - The reachability graph
    `pi` - The steady state distribution
    `results` - The place to display the results
  Throws:
    `java.io.IOException`

### generateReachabilityGraph

    public void generateReachabilityGraph(java.io.File rgfile)
                                   throws AbortDotFileGenerationException,
                                          java.io.IOException,
                                          java.lang.Exception

  Throws:
    `AbortDotFileGenerationException`
    `java.io.IOException`
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD